datablock WheeledVehicleTire(VortexTire)
{
   // Tires act as springs and generate lateral and longitudinal
   // forces to move the vehicle. These distortion/spring forces
   // are what convert wheel angular velocity into forces that
   // act on the rigid body.
   shapeFile = "./VortexWheel.dts";
	
	mass = 15;
    radius = 1.15;
    staticFriction = 5;
   kineticFriction = 5;
   restitution = 0.5;	

   // Spring that generates lateral tire forces
   lateralForce = 17000;
   lateralDamping = 3000;
   lateralRelaxation = 0.8;

   // Spring that generates longitudinal tire forces
   longitudinalForce = 16000;
   longitudinalDamping = 1000;
   longitudinalRelaxation = 0.8;
};