//Vortex Wagon Lights

package VortexWagonLights
{
	function serverCmdLight(%client)
	{
		if(isObject(%pl = %client.player) && !isObject(%pl.light) && isObject(%veh = %pl.getObjectMount()))
		{
			if(%veh.getDataBlock().getName() $= "VortexWagonVehicle" && %pl.getMountNode() == 0)
			{
				servercmdVortexWagonLight(%client);
				return;
			}
		}
		parent::serverCmdLight(%client);
	}
	
	function servercmdVortexWagonLight(%client)
	{
		//Before we do anything, make sure the client isn't trying to change the light too rapidly.
		if(getSimTime() < %client.lastCVHLTime + 500)
		{
			return;	//Fewer than 500 milliseconds have passed since client sent a command. Ignore this one.
		}
		//If the above check did not activate, we're good to continue.
		%client.lastCVHLTime = getSimTime();	//Right now is when they sent the last command.	
		
		if(!isObject(%pl = %client.player) || !isObject(%veh = %pl.getObjectMount())) return;
		if(%veh.getDataBlock().getName() !$= "VortexWagonVehicle" || %pl.getMountNode() != 0) return;
		
		if(!%veh.headlight)
		{
			%veh.headlight = 1;
			%veh.unhidenode(brakeOFFLIGHT);
			%veh.hidenode(brakeOFF);
			%veh.unhidenode(lightsON);
			%veh.unhidenode(lightFLARE);
			%veh.hidenode(lightsOFF);
			
			%veh.mountedLightBot[4].setMountedLight(VortexHL2);
		}
		else
		{
			%veh.headlight = 0;
			%veh.hidenode(brakeOFFLIGHT);
			%veh.unhidenode(brakeOFF);
			%veh.hidenode(lightsON);
			%veh.hidenode(lightFLARE);
			%veh.unhidenode(lightsOFF);
			
			%veh.mountedLightBot[4].setMountedLight(none);
		}
	}
	
	
	function armor::onUnMount(%this, %obj, %col, %slot)
	{
		Parent::onUnMount(%this, %obj, %col, %slot);

		if (!isObject(%col) || %obj.getMountNode() != 0 || %col.getDatablock().getName() !$= "VortexWagonVehicle")
			return;

		%col.headlight = 0;
		%col.hidenode(brakeOFFLIGHT);
		%col.unhidenode(brakeOFF);
		%col.hidenode(lightsON);
	  %col.hidenode(lightFLARE);
		%col.unhidenode(lightsOFF);
		
		%col.mountedLightBot[4].setMountedLight(none);
	}
};
activatePackage(VortexWagonLights);